<div class="music-app-wrapper">
    <div class="music-app-container">
      <div class="user-info" *ngIf="(currentUser$ | async) !== null">
        <div>Welcome {{ (currentUser$ | async).display_name }}</div>
        <div class="email">{{ (currentUser$ | async).email }}</div>
      </div>
  
      <div class="login" *ngIf="(currentUser$ | async) === null">
        <input placeholder="Enter user name..." class="user-name">
        <input placeholder="Enter password..." class="password" type="password">
      </div>
  
    </div>
</div>

<div class="header-container">
    <div class="categories-container">
        <a class="category-tags" routerLink="{{item.routerLink}}" routerLinkActive="active" *ngFor="let item of (categories$ | async).categories.items" >
            {{item.id}}
        </a>
    </div>
</div>
